function::ns_sid
Prev | Chapter 2. Context Functions | Next

## Name

function::ns_sid — Returns the session ID of the current process as seen in a pid namespace

## Synopsis

        ns_sid:long()

## Arguments

None

## Description

The namespace-aware session ID of a process is the process group ID of the session leader as seen in the target pid namespace if provided, or the stap process namespace. Session ID is stored in the signal_struct since Kernel 2.6.0.

Prev | Up | Next
function::ns_ppid | Home | function::ns_tid